                              %OBJECTIVES

%To declare the chosen numerical options to the DDF calculus files  

%--------------------------------------------------------------------------

%Use Psi_m in the DDF analysis to explicit Atm Stb effect: 0(yes) or 1(no)
%doPsi=1;

%Increments in the variables for the numerical estimates of the partial
%derivatives. The delta(i)=NaN forces the software to estimate it as:
%delta(i)=(x(i,b)-x(i,a))/stepn(i).
%       [Cw Tw S  w   zw  Wp Hs Lp Ca Ta0 Tah P0 Ph hro hrh q0 qh rL0 rLh hTP U   zu  z0  vhf psi u_]
delta = [1  1  1  NaN NaN 0  1  1  1  1   1   1  1  1   1   0  0  0   0   0   NaN 0   0   0   0   0 ];

%Number of steps taken forward or bacward for the numerical estimates of 
%the partial derivatives.
%       [Cw Tw S w zw Wp Hs Lp Ca Ta0 Tah P0 Ph hro hrh q0 qh rL0 rLh hTP U zu z0 vhf psi u_]
stepn = [1  1  1 1 1  0  1  1  1  1   1   1  1  1   1   0  0  0   0   0   1 0  1   0  0   0 ];
%       [1  3  1 2 2 2  2  1  3                                                x  x   x ];

%Order of the partial derivatives and terms.
%       [Cw Tw S w zw Wp Hs Lp Ca Ta0 Tah P0 Ph hro hrh q0 qh rL0 rLh hTP U zu z0 vhf psi u_]
theta = [1  1  1 1 1  0  1  1  1  1   1   1  1  1   1   0  0  0   0   0   1 0  1  0   0   0 ];

%Current speed units: (1)m/s (2)cm/s, (3)dm/s, (4)m/min, (5)hm/h or (6)km/h
Units.w  = 3;

%Depth units: (1) dm, (2) m, (3) dam or (4) hm
Units.zw = 3;

%Peak wave length units: (1) m, (2) dam or (3) hm
Units.Lp = 1;

%Peak wave period units: (1) s or (2) 10s
Units.Wp = 1;

%Significant wave height units: (1) cm, (2) dm or (3) m
Units.Hs = 3;

%air T and P measurement height units: (1) m, (2) dam or (3) hm
Units.hTP = 1;

%Wind speed units: (1)m/s or (2)km/h
Units.U = 1;

%Roughness length units: (1) mm/10, (2) mm, (3) cm or (4) dm
Units.z0 = 2;

%friction velicity units: (1)m/s, (2)dm/s or (3)km/h
Units.u_ = 3;
