%TASK: estimate friction velocity (m/s) from drag coefficient (CD)

%CALCULUS:-----------------------------------------------------------------

function u_ = estimateCD2ustar(U,u_,z,NSdragcoef)

%--------------------------------------------------------------------------

CD = nan(size(u_));
i  = find(z==10 & isnan(u_));

switch NSdragcoef

    case 'Dea91'
        
        i     = find(isnan(u_));
        CD(i) = 1.3*10^-3;

    case 'Don97'

        CD(i) = (0.95+0.07*U(i))./10^3;

    case 'M&Y83'

        CD(i) = 4*U(i)./(10^4);

    case 'Smi80'

        CD(i) = (6.1+0.63.*U(i))./(10^4);

    case 'T&Y01'

        CD(i) = (0.87+0.0752*U(i)-0.000661*U(i).^2)./10^3;

end

u_(i) = U(i).*sqrt(CD(i));

