%TASK: estimate friction velocity (m/s) from Eddy-Covariance measurments (E-C)

%CALCULUS:-----------------------------------------------------------------

function u_ = estimateEC2ustar(u_,uw,vw,z,NSEC2ustar)

%--------------------------------------------------------------------------

i     = find(~isnan(uw) & ~isnan(vw));

if ~isempty(i)
    switch NSEC2ustar
            case 'E&F98'
                u_(i) = (-uw(i)-vw(i)).^0.5;

           case 'Frl03'
                u_(i) = (-uw(i)).^0.5;

            case 'Lea04'
                u_(i) = (uw(i).^2+vw(i).^2).^0.25;

    end

    u_(i) = u_(i)-0.00071*z(i);
end
